#![no_std]
#![no_main]

use cortex_m::asm;
use cortex_m_rt::entry;
use defmt::info;
use {defmt_rtt as _, panic_probe as _};

#[entry]
fn main() -> ! {
    info!("stm: no_std hello on stm32f103c8");

    // TODO: we want this as a loop
        asm::delay(8_000_000);
        info!("stm: alive");
}
